<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>YAMAHA | Login</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- fonts -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,500,300,700' rel='stylesheet' type='text/css'><!-- Roboto -->
  <!-- Bootstrap 3.3.5 -->
  <?php $cs->registerCssFile($baseUrl . "/css/login/bootstrap.min.css"); ?>
  <!-- Font Awesome -->
  <?php $cs->registerCssFile($baseUrl . "/css/font-awesome.min.css"); ?>
  <?php $cs->registerCssFile($baseUrl . "/css/jquery.maximage.css?v=1.2"); ?>
  <?php $cs->registerCssFile($baseUrl . "/css/screen.css?v=1.2"); ?>
  <!-- Material Form -->
  <!-- Website style -->
  <?php $cs->registerCssFile($baseUrl . "/css/login-style.css"); ?>
  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
   <?php $cs->registerScriptFile($baseUrl . "/js/login/bootstrap.min.js", CClientScript::POS_END); ?>
   <?php $cs->registerScriptFile($baseUrl . "/js/jquery.cycle.all.js", CClientScript::POS_END); ?>
   <?php $cs->registerScriptFile($baseUrl . "/js/jquery.maximage.js", CClientScript::POS_END); ?>
   <?php $cs->registerScriptFile($baseUrl . "/js/login/main.js", CClientScript::POS_END); ?>
   <style>
   @font-face {font-family: 'dinpro'; src:url('fonts/DINPro-Regular_13937.ttf');format('opentype');}
   </style>
<script>
function myFunction() {
 var checkBox = document.getElementById("policy");
 if (checkBox.checked == true){
 document.getElementById("form_login").style.display = "block"; 
  } else {
 document.getElementById("form_login").style.display = "none"; 
  }
}

$('#login-form').on("keyup keypress", function(e) {

  var code = e.keyCode || e.which; 

  if (code  == 13) {               

    e.preventDefault();

    return false;

  }

});
</script>
</head>
<body  class="disableEvent">
      <div class="login-box" style="max-height:400px">
      <div class="logo">
        <img src="<?php echo $baseUrl;?>/img/login/logo.png">
      </div>
      <div class="form">
              <?php echo $content; ?>
             </div>
      <div class="clearfix"></div>
    </div>
	<!--<div class="text" style="font-family:'dinpro',sans-serif;position: absolute;float: left;top: 120px;font-size: 35px;
    padding-left: 35px;color: #ffff;margin-top: -35px;">
	<p>WE KNOW <br>
       HOW TO KEEP <br>
       YOU COOL</p>
	</div>-->
<section id="login_div">
    <a href="" id="arrow_left"><img src="<?php echo $baseUrl;?>/img/login/left.png" alt="Slide Left" /></a>
    <a href="" id="arrow_right"><img src="<?php echo $baseUrl;?>/img/login/right.png" alt="Slide Right" /></a>
    <div id="maximage">
      <img src="<?php echo $baseUrl;?>/img/login/01.jpg" alt=""/>
      <img src="<?php echo $baseUrl;?>/img/login/02.jpg" alt=""/>
      <img src="<?php echo $baseUrl;?>/img/login/03.png" alt=""/>
      <img src="<?php echo $baseUrl;?>/img/login/04.jpg" alt=""/>
    </div>
</section>
<!--<div class="blueskylogo">
  <a>
  <img src="<?php // echo $baseUrl;?>/img/login/bs-logo.png">
  </a>
</div>-->
</body>
</html>