<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;
$cs->registerScript("vieworder", "function vieworder(id){
    if(id>0){
        window.open($('#liveSite').val()+'index.php?r=order/View&id='+id, '_blank');   
    }else{
        t8.error('fail');
    }
}", CClientScript::POS_HEAD);

$cs->registerScript("deleteOrder", "function deleteOrder(id){
    var r = confirm('Are you sure to delete this?');
        if(r==true)
        {
            jQuery.ajax({
              'type'  : 'post',
              'data'  : 'id=' + id+'&YII_CSRF_TOKEN=" . Yii::app()->request->csrfToken . "',
              'url'  : $('#liveSite').val()+'index.php?r=order/delete',
              'cache': false,
              'success':function(data){
                if(data=='fail'){
                    t8.error('Error while Delete');
                }else {
                    reloadTable('#tbl_order_details');
                    t8.success('Order Deleted SuccessFully');
                }
               }
            });
        }

   
};", CClientScript::POS_HEAD);


$cs->registerScript("loadOrder", '
        $(document).ready(function() {

        var table_id ="#tbl_order_details";
        var table = $(table_id).on("preXhr.dt", function (e, settings, data) {
    data.distributer_id = $("#distributer_id").val();
    data.year = $("#year").val();
    data.month = $("#month").val();
    return data;
    }).DataTable({
            scrollY         : "380px",
           // scrollX         : "true",
           // scrollCollapse  : true,
            pageLength      : 50,
			processing: true,
			order:  [["4", "desc"],["3", "desc"]],
            ajax: {
                url: "' . Yii::app()->createUrl('Order/GetList') . '",
                type: "POST",
                cache : false,
                "data": function ( params ) {
                    params.YII_CSRF_TOKEN = "' . Yii::app()->request->csrfToken . '";
                }
            },
            serverSide:     true,
            fixedColumns:   true,
			processing: true,
            fixedHeader: {
                headerOffset: $("header.main").outerHeight()
            }
        } );
        $(".dataTables_scrollFoot").hide();
    });', CClientScript::POS_HEAD);
$cs->registerScript("downloadUploadorderQty", "function downloadUploadorderQty(id){
    if(id>0){
        window.open($('#liveSite').val()+'index.php?r=order/DownloadUploadedOrderQty&id='+id, '_blank');   
    }else{
        t8.error('Please Select Order');
    }
}", CClientScript::POS_HEAD);
$cs->registerScript("downloadUploadorderAmt", "function downloadUploadorderAmt(id){
    if(id>0){
        window.open($('#liveSite').val()+'index.php?r=order/DownloadUploadedOrderAmount&id='+id, '_blank');   
    }else{
        t8.error('Please Select Order');
    }
}", CClientScript::POS_HEAD);
?>
<section class="panel">
    <header class="panel-heading clearfix panel-theame">
        <i class="fa fa-tasks"></i> Orders   

        <?php if (isset(Yii::app()->user->havePermissionOn['orders_upload']) || Yii::app()->user->authorised_user == 1) { ?>  
<!--<button class="btn btn-sm btn-theme" onclick="loadPopupModal('order/create','Add New Order','lg')"><i class="fa fa-plus"></i> ADD</button>-->
        <div class="col-sm-2 pull-right">
               <button class="btn btn-sm btn-theme" onclick="loadPopupModal('order/uploadOrder', 'Upload Order', 'lg')"><i class="fa fa-arrow-up"></i> Upload</button>
        </div>
        <?php } ?>
        <div class="col-sm-2 pull-right">
            <?php
            $currentmonth = date('Y-m-d', strtotime(' + 5 months'));
            $time = strtotime($currentmonth);
            $day = date('d', $time);
            $month = date('m', $time);
            $years = date('Y', $time);
            $month_option = array($month => array('selected' => 'selected'));


            echo CHtml::dropDownList('month', '', Order::getmonths(), array('data-label' => 'Month', 'class' => 'form-control', 'onChange' => 'reloadTable("#tbl_order_details")', 'empty' => 'Month', 'data-search' => true, 'options' => $month_option));
            ?>
        </div>
        <div class="col-sm-2 pull-right">
            <?php
            $year = date('Y');
            $option = array($year => array('selected' => 'selected'));
            echo CHtml::dropDownList('year', '', Order::getyear(), array('data-label' => 'Year ', 'class' => 'form-control', 'onChange' => 'reloadTable("#tbl_order_details")', 'empty' => 'Year', 'data-search' => true, 'options' => $option));
            ?>
        </div>
        <div class=" col-sm-2 pull-right">
            <?php echo CHtml::dropdownList('distributer_id', '', Distributers::getDistributers(), array('data-label' => 'Distributor', 'class' => 'form-control', 'onChange' => 'reloadTable("#tbl_order_details")', 'empty' => 'Distributor', 'data-search' => true)); ?>    
        </div>


    </header>
    <div class="panel-body">
        <div class="custom-data-table">
            <table class="table table-hover table-bordered personal-task" id="tbl_order_details">
                <thead>
                    <tr>
                        <th>Sl No</th>
                        <th>Date</th>
                        <th>Distributor</th>
                        <th>Month</th>
                        <th>Year</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <th>Sl No</th>
                        <th>Date</th>
                        <th>Distributor</th>
                        <th>Month</th>
                        <th>Year</th>
                        <th>Actions</th>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</section>