<?php
$cs = Yii::app()->getClientScript();
?><?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'ordertaking_upload-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
));
?>
<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <?php echo $form->hiddenField($model, 'id'); ?>
          <li class="col-sm-4">
    <?php

    echo $form->dropDownList($model, 'from_year', OtReportGlobalUpload::getyear(), array(
        'data-label' => 'Financial Year <span style="color:red">*</span>',
        'empty' => '-Select-',
    ));
    ?>
</li>
<?php echo $form->hiddenField($model, 'to_year'); ?>
<!-- <li class="col-sm-3">
    <?php
     
    //echo $form->dropDownList($model, 'to_year',OtReportGlobalUpload::getyear(), array(
     //   'data-label' => 'To Year <span style="color:red">*</span>',
      //  'empty' => '-Select-',
   // ));
    ?>
</li> -->

            <li class="col-sm-4">
                <?php echo $form->dropDownList($model, 'ot_type', ['Q'=>'Quantity','A'=>'Amount'], array('data-label' => 'Type <span style="color:red">*</span>','empty'=>'-Select-')); ?>
            </li>
            <li  class="col-sm-4">
                <?php
                echo CHtml::label('Document', 'Document');
                $allowedExtensions = array("csv");
                $this->widget('ext.EAjaxUpload.EAjaxUpload', array('id' => rand(),
                    'config' => array('action' => Yii::app()->createUrl(Yii::app()->controller->id . '/UploadDocuments', array('folder' => 'upload/ordertakingreport')),
                        'multiple' => false, 
                        'allowedExtensions' => $allowedExtensions,
                        'sizeLimit' => 25* 1024 * 1024, 
                        'onStart' => "js:function(){}", 
                        'class' => 'pull-right', 
                        'onComplete' => "js:function(id, fileName, responseJSON){ 
                           // alert(fileName);
                        $('.icon_images').html('<input type=\"hidden\" value=\"'+responseJSON.filename+'\" name=\"OtReportGlobalUpload[ot_file_name]\">');                                                                    "
                        . "}",)));
                ?>        
                <div class="icon_images">
                </div>
            </li>
            <li class="col-sm-4">
			 <div  id="csv_msg">
			 </div>
			 </li>
			<li class="col-sm-8 bott_dec">
        	    <span style="color:red;">* Only one File for each period</span><br/>
        	    <!--<span style="color:red;">* AR Column --last 6 digits should be month and year like <b>Mar'22</b> *</span><br/>-->
                <span style="color:red;">* Upload files in .csv format *</span><br/>
            </li>
        </ul>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-default" id="ordertaking_upload_close" data-dismiss="modal">Close</button>
    <?php
    $url = Yii::app()->createUrl('ordertakingreport/SaveUpload');
    echo CHtml::ajaxSubmitButton('Save', $url, array(
        'dataType' => 'json',
        'type' => 'post',
        'success' => 'function(data) {
            $("#loader").hide();
            if(data.status=="success"){  
                
    		    t8.success("Order Taking Saved Successfully!");	
    		    $("#ordertaking_upload_close").click();
                reloadTable("#tbl_order_taking_details");
        		
            } else { 
                $("#ordertaking_upload-form .ordertaking_upload-save-btn").prop("disabled", false);                      
                $("#ordertaking_upload-form .ordertaking_upload-save-btn").addClass("btn-theme").removeClass("btn_loading"); 
                $.each(data, function(key, val) {
                    t8.error(""+val+""); 
                }); 
            } 
        }',
        'beforeSend' => 'function(){ 
            $("#loader").show();
            $(".toast8-error").hide();
            $("#ordertaking_upload-form .ordertaking_upload-save-btn").prop("disabled", true);                      
            $("#ordertaking_upload-form .ordertaking_upload-save-btn").addClass("btn_loading").removeClass("btn-theme"); 
        }'
    ), array('id' => 'mybtn' . rand(), 'class' => 'ordertaking_upload-save-btn btn btn-theme'));
    ?>
    <?php
$cs = Yii::app()->getClientScript();
$cs->registerScript('updateToYear', "
    
    $('#ordertaking_upload-form').on('change', '#OtReportGlobalUpload_from_year', function() {
        var fromYear = $(this).val(); 
        
        // If a valid 'from_year' is selected, perform AJAX
        if (fromYear) {
            $.ajax({
                type: 'POST',
                url: '" . CController::createUrl('inventory/updateToYear') . "',
                data: { from_year: fromYear },
                success: function(data) {
                    //console.log(data);  // Log the response for debugging

                    var toYearDropdown = $('#OtReportGlobalUpload_to_year');

                    if (data) {
                        toYearDropdown.append(data);  // Append the new option
                    }
                },
                error: function() {
                    alert('Error while processing the request.');
                }
            });
        }
    });
", CClientScript::POS_READY);

// for get to year automatically
Yii::app()->clientScript->registerScript('update-to-year', "
    $(document).ready(function() {
        $('#OtReportGlobalUpload_from_year').change(function() {
            var selectedYear = parseInt($(this).val());
            if (!isNaN(selectedYear)) {
                $('#OtReportGlobalUpload_to_year').val(selectedYear + 1);
            }
        });
    });
", CClientScript::POS_END); 
?>



</div>
<?php $this->endWidget(); ?>
