<?php 
$mpdf->use_kwt = true;
?>
<!DOCTYPE html>
<html>
<head>
    <title>Packing List</title>
	<style type="text/css">
     body{
         font-family:open-sans;"
}
    .table td {
        border: 1px solid #1f67b2;
    }
	.table {
	border-collapse: collapse !important;
	font-size: 12px;
	color: #101010;
	width: 100%;
}
.table thead th{
	background: #e4e3e3;
	color: #000;
}
.table th,
.table td {
	border: 1px solid #000 !important;
	text-align: left;
	padding: 3px 6px;
    background-color: white;
}
.table th.text-left,
.table td.text-left{
	text-align: left;
	text-align: left !important;
}
.table th.text-right,
.table td.text-right{
	text-align: right;
	text-align: right !important;
}
.table th.text-center,
.table td.text-center{
	text-align: center;
	text-align: center !important;
}
.table tbody tr:nth-child(even){
	background: #e4e3e3;
}
.table th.Table-Title,
.table td.Table-Title{
    padding:7px 6px !important;
    font-size:1.15rem;
    color:green;
    font-weight:500;
    text-transform:uppercase;
}
.table th.total,
.table td.total{
	background: #e4e3e3;
	color: #fff;
	font-size: 11px;
}
	}
.border_top{
    border:1px solid #BF2121;
}
</style>
</head>
<body style="font-family:open-sans">
    <?php
        $outbound = OutboundInvoice::model()->findByPk($id);
        $transport= array('1' => 'AIR', '2' => 'SEA', '3' => 'COURIER', '4' => 'LAND');
        $delivery = array(  '1' => array( 'name' => 'FOB', 'insurance' => 'COLLECT', 'freight' => 'COLLECT'),
                            '2' => array( 'name' => 'EX-WORKS', 'insurance' => 'COLLECT', 'freight' => 'COLLECT'),
                            '3' => array( 'name' => 'CIF', 'insurance' => 'PREPAID', 'freight' => 'PREPAID'),
                            '4' => array( 'name' => 'CFR', 'insurance' => 'COLLECT', 'freight' => 'PREPAID'),
                            '5' => array( 'name' => 'CPT', 'insurance' => 'COLLECT', 'freight' => 'PREPAID'),
                            '6' => array( 'name' => 'FCA', 'insurance' => 'COLLECT', 'freight' => 'COLLECT'),
                        );
    ?>
       <htmlpageheader name="myHeader">
<div class="">
    <div class="">
    <br>
        <div class="col-12" style="color:#101010;">
            <div class="text-left">
                <img src="<?php echo 'images/pdf/' . Yii::app()->user->pdf_company_logo; ?>" class="logo" style="height:28px;">

            </div>
        </div>
		<div class="col-4">
		    <div class="text-left">
                <h5><?php echo Yii::app()->user->company_name; ?></h5>
				<h6 style="font-weight:300;margin-top:-5px;margin-bottom:3px;"><?php echo Yii::app()->user->billing_address; ?></h6>
			</div>
		</div>
		<div class="col-4 text-center border_top">
             <h2>Packing List</h2>
			   
			</div>
		<div class="col-4" style="margin-right:-30px;margin-top:20px;">
		    <div class="text-right">
			    <table class="table" style="width:100%">
				    <tr>

							<td class="bc-tl">Date</td>
							<td>
								<?php echo date('d/m/Y', strtotime($outbound->invoice_date)) ?>
							</td>
					</tr>
					<tr>

							<td class="bc-tl">Invoice No<br>&nbsp;</td>
							<td>
								<?php echo $outbound->invoice_no ?><br>&nbsp;
							</td>
					</tr>
					<!-- <tr>

							<td class="bc-tl">Container<br>&nbsp;</td>
							<td>
                                <?php //echo $outbound->containers(); ?><br>&nbsp;
							</td>
					</tr>
					<tr>

							<td class="bc-tl">Size</td>
							<td>
								&nbsp;
							</td>
					</tr> -->
                </table>
			</div>
		</div>
    </div> 
	<div class="col-md-12" style="margin-top:10px">
	   <div class="col-4" style="float:left;">
	       <table class="table" border="1" style="text-align:left;width:100%; border-collapse: collapse;">
            <tbody>
                <tr>
                    <td class="text-left" style="font-size:11.5px;background-color:none;"><b>Buyer / Applicant</b></td>
                </tr>
				<tr>
                    <td height="20" class="text-left" style="font-size:11.5px;background-color:none;"><?php echo $outbound->customer->name ?></td>
                </tr>
				<tr>
                    <td height="70" class="text-left" style="font-size:11.5px;"><?php echo nl2br($outbound->customer->billing_adds); ?></td>
                </tr>
			</tbody>
		   </table>
	   </div>
	   <div class="col-4" style="float:right;">
	        <table class="table" border="1" style="text-align:left;width:100%; border-collapse: collapse;">
            <tbody>
                <tr>
                    <td class="text-left" style="font-size:11.5px;background-color:none;"><b>Consignee</td>
                </tr>
				<tr>
                    <td height="20" class="text-left" style="font-size:11.5px;background-color:none;"><?php echo $outbound->consignee_name ?></td>
                </tr>
				<tr>
                    <td height="70" class="text-left" style="font-size:11.5px;"><?php echo $outbound->consignee_address ?></td>
                </tr>
			</tbody>
		   </table>
	   </div>
    </div>
	</div>
    <div class="col-md-12" style="margin-top:10px;">
        <table border="1" style="border-collapse: collapse; text-align:center;width:100%;">
            <thead>
                <tr>
                    <th class="text-center" style="width:10%;font-size:10px;background-color:none;">From Port</th>
                    <th class="text-center" style="font-size:10px;background-color:none;">To Port</th>
                    <th class="text-center" style="width:15%;font-size:10px;background-color:none;">Shipment Mode</th>
                    <th class="text-center" style="width:10%;font-size:10px;background-color:none;">Agent / Line</th>
                    <th class="text-center" style="width:15%;font-size:10px;background-color:none;">Mode of Payment</th>
                    <th class="text-center" style="width:12%;font-size:10px;background-color:none;">Delivery Terms</th>
                    <th class="text-center" style="width:10%;font-size:10px;background-color:none;">Insurance</th>
                    <th class="text-center" style="width:10%;font-size:10px;background-color:none;">Freight</th>
                </tr>
            </thead>
            <tbody style="font-size: 10%;">
            <tr>
                    <td style="font-size:9px;"><?php echo $outbound->from_port; ?></td>
                    <td style="font-size:9px;"><?php echo $outbound->destination; ?></td>
                    <td style="font-size:9px;"><?php echo $transport[$outbound->mode_of_transport]; ?></td>
                    <td style="font-size:9px;"><?php if(!($outbound->agent == 'None')) { echo $outbound->agent; } ?></td>
                    <td style="font-size:9px;"><?php echo $outbound->payment_terms; ?></td>
                    <td style="font-size:9px;"><?php echo $delivery[$outbound->inco_terms]['name']; ?></td>
                    <td style="font-size:9px;"><?php echo $delivery[$outbound->inco_terms]['insurance']; ?></td>
                    <td style="text-align:center;font-size:9px;"><?php echo $delivery[$outbound->inco_terms]['freight']; ?></td>
                </tr>
            </tbody>
        </table>
    </div>
	<br>
    </htmlpageheader>
<sethtmlpageheader name="myHeader" page="ALL" value="1" show-this-page="1" />
	<div class="col-md-12">
        <table id="" class="table">
            <thead>
                <tr>
                    <th class="text-center" style="width:5%;background-color:none;color:#000;">S.No</th>
                    <th class="text-center" style="width:10%;background-color:none;color:#000;">GMC</th>
                    <th class="text-center" style="width:18%;background-color:none;color:#000;">Item No.</th>
                    <th class="text-center" style="width:25%;background-color:none;color:#000;">Description</th>
                    <th class="text-center" style="width:12%;background-color:none;color:#000;">HS Code</th>
                    <th class="text-center" style="width:8%;background-color:none;color:#000;">COO</th>
                    <th class="text-center" style="width:10%;background-color:none;color:#000;">Qty</th>
                    <th class="text-center" style="width:12%;background-color:none;color:#000;">Gross Wght (Kgs.)</th>
					<th class="text-center" style="width:12%;background-color:none;color:#000;">Volume (CBM)</th> 
                    <th class="text-center" style="width:10%;background-color:none;color:#000;">Carton</th>   
                    <th class="text-center" style="width:10%;background-color:none;color:#000;">Ctn.Grp</th>                
                </tr>
            </thead>
            <tbody>
                <?php 
                    $totalQty = 0;
                    $totalGross = 0;
                    $totalCbm = 0;
                    $totalCarton = 0;

                    $items = $outbound->items_having_qty;
                    if( trim($container) != '' ){
                        $items = OutboundInvoiceItems::model()->findAll( array( 'condition' => 'outb_quantity > 0 AND outb_container_no="'.$container.'" AND invoice_id='.(int) $outbound->id ) );
                    } 
                        if( $container != '' ){
                    ?>
                    <tr>
                        <td colspan="11" class="text-center">Container No : <?php echo $container; ?></td>
                    </tr>
                  <?php  
                        }
                    foreach( $items as  $i => $each ) :  
                    
                    ?>
                 <tr>
                    <td style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;text-align:center;border-right:1px solid #000;border-left:1px solid #000"><?php echo $i+1; ?></td>
                    <td style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;text-align:center;border-right:1px solid #000"><?php echo $each->outb_part_number; ?></td>
                    <td style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;text-align:center;border-right:1px solid #000"><?php echo $each->item->description; ?></td>
                    <td style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;text-align:center;border-right:1px solid #000"><?php echo $each->category->category_name; ?></td>
                    <td style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;text-align:center;border-right:1px solid #000"><?php echo $each->outb_hs_code; ?></td>
                    <td style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;text-align:center;border-right:1px solid #000"><?php echo $each->coo->coo_name; ?></td>
                    <td class="text-right" style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;text-align:center;border-right:1px solid #000"><?php echo  (float) $each->outb_quantity; ?></td>
                    <td class="text-right" style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;border-right:1px solid #000;text-align:right;"><?php echo number_format($each->outb_gross_wt, 2); ?></td>
					<td class="text-right" style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;border-right:1px solid #000"><?php echo $each->outb_cbm; ?></td>
                    <td class="text-right" style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;text-align:center;border-right:1px solid #000"><?php echo $each->outb_remarks; ?></td>
                    <td class="text-center" style="font-size:12px;padding-top:11px;padding-bottom:11px;border: none;border-bottom: 1px solid grey;text-align:center;border-right:1px solid #000"><?php echo  $each->outb_ctn_group; ?></td>
                </tr>
                <?php 
                        $totalQty += $each->outb_quantity;
                        $totalGross += $each->outb_gross_wt;
                        $totalCbm += $each->outb_cbm;
                        $totalCarton += $each->outb_remarks;
                        endforeach; ?>

                 <tr>
                    <td colspan="6" class="text-right"><b>Total</b></td>
                    <td class="text-right" style="text-align:center";><b><?php echo  (float) $totalQty; ?></b></td>
                    <td class="text-right"><b><?php echo number_format($totalGross, 2); ?></b></td>
                    <td class="text-right"><b><?php echo number_format($totalCbm, 3, '.', ''); ?></b></td>
                    <td class="text-right" style="text-align:center"><b><?php echo $totalCarton; ?></b></td>
                    <td></td>
                 </tr>

            </tbody>
        </table>

    </div>
<br>
	<div class="col-md-12" style="margin-bottom:5px;">
	    <table class="table">
		   <tr>
		       <td style="height:18px;"></td>
		   </tr>
		</table>
	</div>
	<div class="col-md-12" style="">
	    <table class="table">
		   <?php if( $outbound->invoice_note != '' ){  ?>
                <tr>
                    <td style="width:24%;padding-top:18px;font-size:9px;"><b><u>DESCRIPTION OF GOODS:</u><br>&nbsp;</b></td>
                    <td style="text-transform: uppercase;font-size:9px;"><?php echo $outbound->invoice_note; ?></td>
                </tr>
           <?php } ?>
		   <tr>
		       <td style="width:24%;padding-top:18px;font-size:9px;"><b><u>COUNTRY OF ORIGIN: </u><br>&nbsp;</b></td>
               <td style="text-transform: uppercase;font-size:9px;"><?php echo $container == "" ? $outbound->country_origins_labels() : $outbound->country_origins_labels_container( $container ); ?></td>
		   </tr>
		</table>
	</div>
    <?php if( $outbound->customer->need_manufacure == 'Y' ){  ?>
        <div class="col-md-12" style="margin-bottom:5px;">
            <table class="table">
            <tr>
                <td style="font-size:11px;"><b><u>MANUFACTURERS FULL NAME & ADDRESS:</u><br>&nbsp;</b></td>
            </tr>
            <?php 
                $condition = $container != "" ?  'outb_container_no ="'.$container.'" AND invoice_id='.(int) $outbound->id  : 'invoice_id='.(int) $outbound->id;
                foreach( OutboundInvoiceItems::model()->findAll( array( 'select' => 'DISTINCT outb_contry_of_origin', 'condition' => $condition )) as $each ) : 
                        if( $each->outb_contry_of_origin != '') :

                            if( $each->outb_contry_of_origin == 'CN' && $outbound->currency == 'EUR' )
                                $each->outb_contry_of_origin = 'CNN';
                    ?>
                        <tr>
                            <td style="font-size:10px;"><?php echo strtoupper($each->coo->address); ?> </td>
                        </tr>
                        <?php endif; ?>
            <?php endforeach; ?>
            </table>
        </div>
    <?php } ?>
    <?php if( $outbound->remarks !='' ) : ?>
        <div class="col-md-12" style="margin-bottom:5px;">
            <table class="table">
            <tr>
                <td><b><u>REMARKS:</u><br>&nbsp;</b></td>
            </tr>
            <tr>
                    <td><?php echo $outbound->remarks; ?> </td>
                </tr>
            </table>
        </div>
    <?php endif;?>
    <br>
    
    <div class="col-md-12">     
        <table style="page-break-inside:avoid;border-collapse: collapse;font-family: Arial Narrow; font-size:13px; width:100% ">
            <tr>
                <td class="text-left">Total Quantity </td><td width="2%" align="left">: </td>
                <td width="85%"><?php echo  $container != "" ? $outbound->Total_cartons_container($container) : $outbound->Total_cartons ?> CTNS (STC <?php echo $container != "" ? $outbound->total_quantity_container($container) : $outbound->total_quantity ?>PCS)</td>
            </tr>
            <tr>
                <td  class="text-left">Total Weight</td><td width="2%"> :</td>
                <td><?php echo $container != "" ? number_format($outbound->Total_weight_container( $container ), 2, '.', '') : number_format($outbound->Total_weight, 2, '.', '') ?> Kgs.</td>
            </tr>
            <tr>
                <td class="text-left">Total Volume </td><td width="2%">: </td>
                <td><?php echo  $container != "" ?  number_format($outbound->Total_volume_container( $container ), 3, '.', '') : number_format($outbound->Total_volume, 3, '.', '') ?> m&sup3;</td>
            </tr>
            <?php if($transport[$outbound->mode_of_transport]=='SEA'){?>
            <tr>
                <td class="text-left">Containers </td><td width="2%">: </td>
            <td><?php echo  $container != "" ? $container : $outbound->containers() ?>            </tr>
            <tr>
                <td class="text-left">Container Size </td><td width="2%">: </td>
                <td><?php echo  $container != "" ? $outbound->get_container_data_spec( $container ) : $outbound->get_container_data(); ?><br></td>
            </tr>
            
            <?php } ?>   
            <tr>
                <td colspan="3" class="text-right">

                    <br><br>
                    <div class="col-md-12"  style="page-break-inside:avoid;text-align:left;margin-left: 70%;">
                        <h4>_____________________________</h4>
                        <h4>YAMAHA MUSIC GULF FZE</h4>
                    </div>

                </td>
            </tr>
        </table>
</div>
</div>
<htmlpagefooter name="myfooter">

                <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px;">
                    <div style="text-align:center;width:100%">
                    </div>
                    <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
                </div>
            </htmlpagefooter>
<sethtmlpagefooter name="myfooter" page="all" value="on" />
</body>

</html>
