<?php
$cs = Yii::app()->getClientScript();
/*$cs->registerScript("downloadCHExcel", "function downloadCHExcel(){
    var credit_hold_id = $('#CH_credit_hold_id').val();
    var type_id = $('#CH_type').val();
    var status = $('#CH_status').val();
    if(type_id==1){
        window.open($('#liveSite').val()+'index.php?r=Credithold/DownloadCreditHoldDistributer&credit_hold_id='+credit_hold_id+'&status='+status, '_blank');   
    }
    else if(type_id==2){
        window.open($('#liveSite').val()+'index.php?r=Credithold/DownloadCreditHoldRegion&credit_hold_id='+credit_hold_id+'&status='+status, '_blank');   
    }
    else if(type_id==3){
        window.open($('#liveSite').val()+'index.php?r=Credithold/DownloadStockAgeingDistributor&credit_hold_id='+credit_hold_id+'&status='+status, '_blank');   
    }
    else if(type_id==4){
        window.open($('#liveSite').val()+'index.php?r=Credithold/DownloadStockAgeingRegion&credit_hold_id='+credit_hold_id+'&status='+status, '_blank');   
    }
}", CClientScript::POS_HEAD);
?>
<?php*/
$cs->registerScript("downloadCHExcel", "
function downloadCHExcel() {
    var credit_hold_id = $('#CH_credit_hold_id').val();
    var type_id = $('#CH_type').val();
    var statusArray = $('#CH_status').val(); // Gets an array of selected values
    var status = statusArray ? statusArray.join(',') : ''; // Join selected values into a comma-separated string
    
    var baseUrl = $('#liveSite').val() + 'index.php?r=Credithold/';
    var urls = {
        1: 'DownloadCreditHoldDistributer',
        2: 'DownloadCreditHoldRegion',
        3: 'DownloadStockAgeingDistributor',
        4: 'DownloadStockAgeingRegion'
    };
    
    if (urls[type_id]) {
        window.open(baseUrl + urls[type_id] + '&credit_hold_id=' + credit_hold_id + '&status=' + status, '_blank');
    }
}
", CClientScript::POS_HEAD);
?>
<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <?php echo CHtml::hiddenField('CH_credit_hold_id', $credit_hold_id); ?>
            <?php echo CHtml::hiddenField('CH_type', $type); ?>
            <li class="col-sm-4">
                <?php echo CHtml::listBox('CH_status', '', [0 => '0', 1 => '1', 2 => '2', 3 => '3', 4 => '4'], [
                    'data-label' => 'Status',
                    'multiple' => 'multiple',// Enable multiselect
                    'class' => 'multiple', // Add Select2 class
                    'data-placeholder' => '-Select-', // Placeholder
                    'data-search' => true, // Placeholder
                    //'size' => 5, // Number of visible options in the box
                ]); ?>
            </li>
        </ul>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-sm btn-theme" onclick="downloadCHExcel();"><i class="fa fa-download"></i> Excel</button>
</div>