<?php
$cs = Yii::app()->getClientScript();
?><?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'credithold_upload-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
));
?>
<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <?php echo $form->hiddenField($model, 'id'); ?>
            <li class="col-sm-3">
                <?php
                if ($model->ch_year == '') {
                    $year = date('Y');
                } else {
                    $year = $model->ch_year;
                }
                $option = array($year => array('selected' => 'selected'));
                echo $form->dropDownList($model, 'ch_year', Order::getyear(), array('data-label' => 'Year <span style="color:red">*</span>', 'empty' => '-Select-', 'options' => $option)); ?>
            </li>
            <li class="col-sm-3">
                <?php echo $form->dropDownList($model, 'ch_month', Order::getmonths(), array('data-label' => 'Month <span style="color:red">*</span>','empty'=>'-Select-')); ?>
            </li>
            <li class="col-sm-3">
                <?php echo $form->dropDownList($model, 'is_master', ['Y'=>'Yes','N'=>'No'], array('data-label' => 'Is Master <span style="color:red">*</span>','empty'=>'-Select-')); ?>
            </li>
            <li  class="col-sm-3">
                <?php
                echo CHtml::label('Document', 'Document');
                $allowedExtensions = array("csv");
                $this->widget('ext.EAjaxUpload.EAjaxUpload', array('id' => rand(),
                    'config' => array('action' => Yii::app()->createUrl(Yii::app()->controller->id . '/UploadDocuments', array('folder' => 'upload/credithold')),
                        'multiple' => false, 
                        'allowedExtensions' => $allowedExtensions,
                        'sizeLimit' => 25* 1024 * 1024, 
                        'onStart' => "js:function(){}", 
                        'class' => 'pull-right', 
                        'onComplete' => "js:function(id, fileName, responseJSON){ 
                           // alert(fileName);
                        $('.icon_images').html('<input type=\"hidden\" value=\"'+responseJSON.filename+'\" name=\"CreditHold[file_name]\">');                                                                    "
                        . "}",)));
                ?>        
                <div class="icon_images">
                </div>
            </li>
            <li class="col-sm-4">
			 <div  id="csv_msg">
			 </div>
			 </li>
			<li class="col-sm-8 bott_dec">
        	    <span style="color:red;">* Only one MasterFile for each month</span><br/>
        	    <span style="color:red;">* AR Column --last 6 digits should be month and year like <b>Mar'22</b> *</span><br/>
                <span style="color:red;">* Upload files in .csv format *</span><br/>
            </li>
        </ul>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-default" id="credithold_upload_close" data-dismiss="modal">Close</button>
    <?php
    $url = Yii::app()->createUrl('credithold/SaveUpload');
    echo CHtml::ajaxSubmitButton('Save', $url, array(
        'dataType' => 'json',
        'type' => 'post',
        'success' => 'function(data) {
            $("#loader").hide();
            if(data.status=="success"){  
                
    		    t8.success("CreditHold Saved Successfully!");	
    		    $("#credithold_upload_close").click();
                reloadTable("#tbl_credithold_details");
        		
            } else { 
                $("#credithold_upload-form .credithold_upload-save-btn").prop("disabled", false);                      
                $("#credithold_upload-form .credithold_upload-save-btn").addClass("btn-theme").removeClass("btn_loading"); 
                $.each(data, function(key, val) {
                    t8.error(""+val+""); 
                }); 
            } 
        }',
        'beforeSend' => 'function(){ 
            $("#loader").show();
            $(".toast8-error").hide();
            $("#credithold_upload-form .credithold_upload-save-btn").prop("disabled", true);                      
            $("#credithold_upload-form .credithold_upload-save-btn").addClass("btn_loading").removeClass("btn-theme"); 
        }'
    ), array('id' => 'mybtn' . rand(), 'class' => 'credithold_upload-save-btn btn btn-theme'));
    ?>
</div>
<?php $this->endWidget(); ?>
