<?php

$cs = Yii::app()->getClientScript();
$cs->registerScript("addTablelist", " function addTablelist(jQtable) {
        formId              =   jQtable.attr('id');
        formIdStarter       =   jQtable.attr('id').split(/_(.+)?/)[0];
        lastId = jQtable.find('tr:last input:first').attr('id');
        thenum = lastId.match(/\d+/g);
        newId = Number(thenum) + 1;
        newrow= jQtable.find('tr:last').clone();
        newrow.find('label:first').html(newId+1);
        newrow.attr('class',newId);
        newrow.find('div,input,textarea,checkbox,td,select,.errorMessage,a,span').each(function() {
            this.id= this.id.replace(/\d+/,newId);
           if(!$(this).is(':checkbox'))
                this.value  = '';
            else
                $(this).prop('checked', false);
            (this.name!==undefined) ? this.name= this.name.replace(/\d+/,newId) : this.style  =   '';});
        jQtable.append(newrow);
}", CClientScript::POS_HEAD);
$cs->registerScript("removeHiddenDistributerGmcTableitem", "function removeHiddenDistributerGmcTableitem(jQtable,evt,row_field) {
    var id=$('#HiddenDistributerGmcs_'+row_field+'_id').val();
    formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
    var num_rows    =   jQtable.find('tr:gt(0)').length;
    if(num_rows>1){
    
        var tr  =   $(evt).parent().parent();
        if(isRowEmpty(tr)) {
            if(id!=''){
                jQuery.ajax({
                    'type': 'post',
                    'dataType': 'json',
                    'url': '" . Yii::app()->createUrl('Hiddengmcuploads/deleteRow') . "',
                    'data': {'id':id,'YII_CSRF_TOKEN':'" . Yii::app()->request->csrfToken ." '}  ,
                    'cache': false,
                    'success': function(data) {
                        if(data.status=='success'){
                            $(evt).parents('tr').remove();
                            var i=0;
                            jQtable.find('tr:gt(0)').each(function() {
                                $(this).find('input,textarea,.errorMessage,div,select,a').each(function()
                                {
                                    old_id   =   $(this).attr('id');
                                    if(old_id!==undefined) {
                                        new_id   =   old_id.replace(/\d+/,i);
                                        $(this).attr('id',new_id);
                                    }
                                    old_name =   $(this).attr('name');
                                    if(old_name!==undefined) {
                                        new_name =   old_name.replace(/\d+/,i);
                                        $(this).attr('name',new_name);
                                    }
                                });
                                $(this).find('td:first label').html(++i);
                            });
                            t8.success('Deleted Successfully');
                        }else{
                            t8.error('Deletion Not Possible, History Exist');
                        }
                    },
                    'beforeSend':function(){
                         $('#loader').show();
                    },
                    'complete':function(){
                        $('#loader').hide();
                    }
                });
            }else{
                $(evt).parents('tr').remove();
                var i=0;
                jQtable.find('tr:gt(0)').each(function() {
                    $(this).find('input,textarea,.errorMessage,div,select,a').each(function()
                    {
                        old_id   =   $(this).attr('id');
                        if(old_id!==undefined) {
                            new_id   =   old_id.replace(/\d+/,i);
                            $(this).attr('id',new_id);
                        }
                        old_name =   $(this).attr('name');
                        if(old_name!==undefined) {
                            new_name =   old_name.replace(/\d+/,i);
                            $(this).attr('name',new_name);
                        }
                    });
                    $(this).find('td:first label').html(++i);
                });
            }
        }
    }else {
        alert('Atleast one item needed here');
    }
};", CClientScript::POS_HEAD);


?>
<div class="popup_inner_element">
    <?php
    $form = $this->beginWidget('CActiveForm', array(
        'id' => 'hidedengmc-form',
        'enableAjaxValidation' => false,
        'enableClientValidation' => false,
    ));
    ?>


    <div id="div_project_type_detl">
        <?php echo $form->hiddenField($model, 'id'); ?>

        <div class="table-responsive">
            <table class="table table-hover table-bordered personal-task" id="tbl_hiddengmc_item">
                <thead>
                    <tr>
                        <th>No</th>
                        <th width="20%">Category</th>
                        <th width="40%">Model No</th>
                        <th width="30%">GMC</th>


                        <th width="3%" class="text-center">

                            <a class="btn btn-sm btn-theme " href="javascript:void(0);" onclick="addTablelist($('#tbl_hiddengmc_item'));"><i class="fa fa-plus"></i></a>

                        </th>

                    </tr>
                </thead>
                <tbody>

                    <?php
                    foreach ($modelHiddenDistributerGmcs as $i => $Details) { ?>
                        <tr>
                            <td> <label><?php echo ($i + 1); ?> </label></td>
                            <td><?php echo $Details['gmc_det']['category_det']['product_category'];?></td>
                            <td><?php echo $Details['gmc_det']['model_no'];?></td>
                            <td>

                            <?php echo $form->hiddenField($Details, "[" . $i . "]id", array('class' => 'tooltipster go')); ?>



                                <?php
                                $arr_pdts = new Inventory();
                                $arr_pdts = $arr_pdts->getAllGMCs();
                                ($arr_pdts != '') ? $data = $arr_pdts : $data = array();
                                ?>
                                <?php echo $form->dropdownlist($Details, "[" . $i . "]product_id", $data, array('prompt' => '-select-', 'data-search' => true, 'class' => 'form-control go'));
                                ?>
                            </td>
                            <td>
                                <?php

                                echo CHtml::link('<i class="fa fa-times"></i>', 'javascript:void(0);', array('class' => 'btn btn-sm btn-danger', 'id' => $i, 'onclick' => 'removeHiddenDistributerGmcTableitem($(\'#tbl_hiddengmc_item\'),this,this.id)', 'title' => 'Remove this item'));

                                ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>


    </div>

    <div class="modal-footer">
        <button type="button" class="btn btn-default" id="inventory_close" data-dismiss="modal">Close</button>
        <?php
        $url = Yii::app()->createUrl('Distributertype/Savehiddengmc');
        if ($type != 'view') {


            echo CHtml::ajaxSubmitButton(
                'Save',
                $url,
                array(
                    'dataType' => 'json',
                    'type' => 'post',
                    'success' => 'function(data) {
            $("#loader").hide();
                if(data.status=="success"){  
                    t8.success("Saved Successfully!");
                    $("#inventory_close").click();
                    reloadTable("#tbl_distributertype_details");
                } else { 
                    $("#hidedengmc-form .hidedengmc-save-btn").prop("disabled", false);                      
                    $("#hidedengmc-form .hidedengmc-save-btn").addClass("btn-theme").removeClass("btn_loading"); 
                    $.each(data, function(key, val) {
                        t8.error(""+val+""); 
                    }); 
                } 
        }',
                    'beforeSend' => 'function(){ 
            $("#loader").show();
            $(".toast8-error").hide();
            $("#hidedengmc-form .hidedengmc-save-btn").prop("disabled", true);                      
            $("#hidedengmc-form .hidedengmc-save-btn").addClass("btn_loading").removeClass("btn-theme"); 

        }'
                ),
                array('id' => 'mybtn' . rand(), 'class' => 'hidedengmc-save-btn btn btn-theme')
            );
        }
        ?>
    </div>
    <?php $this->endWidget(); ?>