<?php

$cs = Yii::app()->getClientScript();

$baseUrl = Yii::app()->baseUrl;



$cs->registerScript("loadInventory", '

        $(document).ready(function() {



        var table_id ="#tbl_inventoryprice_details";

        var table = $(table_id).DataTable({

            scrollY         : "380px",

           // scrollX         : "true",

           // scrollCollapse  : true,

            pageLength      : 50,

			processing: true,

            ajax: {

                url: "' . Yii::app()->createUrl('Inventoryprice/GetList') . '",

                type: "POST",

                cache : false,

                "data": function ( params ) {

                    params.YII_CSRF_TOKEN = "' . Yii::app()->request->csrfToken . '";

                }

            },

            serverSide:     true,

            fixedColumns:   true,

			processing: true,

            fixedHeader: {

                headerOffset: $("header.main").outerHeight()

            }

        } );

        $(".dataTables_scrollFoot").hide();

    });', CClientScript::POS_HEAD);
    $cs->registerScript("deleteInventoryPriceFile",  "function deleteInventoryPriceFile(id){
        var r = confirm('Are you sure to delete this?');
        if(r==true)
        {
            jQuery.ajax({
              'type'  : 'post',
              'data'  : 'id=' + id+'&YII_CSRF_TOKEN=".Yii::app()->request->csrfToken."',
              'url'  : $('#liveSite').val()+'index.php?r=inventoryprice/deletePriceFile',
              'cache': false,
              'success':function(data){
                if(data=='success'){
                    reloadTable('#tbl_inventoryprice_details');
                    t8.success('Inventory Price Deleted SuccessFully');
                }else {
                    t8.error(data);
                }
               }
            });
        }
    
       
    };", CClientScript::POS_HEAD);
?>

<section class="panel">

    <header class="panel-heading clearfix panel-theame">

        <i class="fa fa-tasks"></i> GMC Price

        <div class="pull-right">

            <?php if (isset(Yii::app()->user->havePermissionOn['master_gmc_uploadprice']) ||  Yii::app()->user->authorised_user == 1) { ?>

            <button class="btn btn-sm btn-theme" onclick="loadPopupModal('gmcpriceupload/uploadGMCPrice', 'Upload GMC Price', 'lg')"><i class="fa fa-arrow-up"></i> Upload Price</button>

            <?php }  ?>

        </div>



    </header>

    <div class="panel-body">

        <div class="custom-data-table">

            <table class="table table-hover table-bordered personal-task" id="tbl_inventoryprice_details">

                <thead>

                    <tr>

                        <th width="5%">Sl No</th>

                        <th>Upload Date</th>

                        <th>From Date</th>

                        <th>To Date</th>

                        <th>File</th>

                        <th width="5%">Currency Code</th>

                        <th width="5%">LIC Percent</th>

                        <th>Actions</th>

                    </tr>

                </thead>

                <tfoot>

                    <tr>

                        <th width="5%">Sl No</th>

                        <th>Category</th>

                        <th>GMC Code</th>

                        <th>Model</th>

                        <th>Base Code</th>

                        <th width="5%">Sort Order</th>

                        <th>Actions</th>

                    </tr>

                </tfoot>

            </table>

        </div>

    </div>

</section>
