<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>YAMAHA | Login</title>
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <!-- fonts -->
        <link href='https://fonts.googleapis.com/css?family=Roboto:400,500,300,700' rel='stylesheet' type='text/css'><!-- Roboto -->
        <!-- Bootstrap 3.3.5 -->
        <?php $cs->registerCssFile($baseUrl . "/css/login/bootstrap.min.css"); ?>
        <!-- Font Awesome -->
        <?php $cs->registerCssFile($baseUrl . "/css/font-awesome.min.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/css/jquery.maximage.css?v=1.2"); ?>
        <?php $cs->registerCssFile($baseUrl . "/css/screen.css?v=1.2"); ?>
        <!-- Material Form -->
        <!-- Website style -->
        <?php $cs->registerCssFile($baseUrl . "/css/login-style.css"); ?>
        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
            <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
            <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
            <![endif]-->
        <?php $cs->registerScriptFile($baseUrl . "/js/login/bootstrap.min.js", CClientScript::POS_END); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/jquery.cycle.all.js", CClientScript::POS_END); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/jquery.maximage.js", CClientScript::POS_END); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/login/main.js", CClientScript::POS_END); ?>
        <style>
            @font-face {font-family: 'dinpro'; src:url('fonts/DINPro-Regular_13937.ttf');format('opentype');}
        </style>
        <script>
            function myFunction() {
                var checkBox = document.getElementById("policy");
                if (checkBox.checked == true) {
                    document.getElementById("form_login").style.display = "block";
                } else {
                    document.getElementById("form_login").style.display = "none";
                }
            }

            $('#login-form').on("keyup keypress", function (e) {

                var code = e.keyCode || e.which;

                if (code == 13) {

                    e.preventDefault();

                    return false;

                }

            });
        </script>
    </head>
    <body>

        <div class="form">
            <?php echo $content; ?>
        </div>

    </body>
</html>