<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->getBaseUrl(true);
?>
    <!DOCTYPE html>
    <html lag="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>YAMAHA | Dashboard</title>
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <link href="https://fonts.googleapis.com/css?family=Ubuntu:300,400,500,700" rel="stylesheet">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jstree/3.2.1/themes/default/style.min.css" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/clusterize.js/0.18.0/clusterize.css" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/clusterize.js/0.18.0/clusterize.js"></script>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300">
        <link rel="stylesheet" href="https://cdn.rawgit.com/yahoo/pure-release/v0.6.0/pure-min.css">
        <?php $cs->registerCssFile($baseUrl . "/css/bootstrap.min.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/css/font-awesome.min.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/css/jquery.material.form.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/css/jquery-ui.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/css/jquery.alerts.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/css/admin/admin-style.css");?>
        <?php $cs->registerCssFile($baseUrl . "/css/admin/tree-style.css"); ?>
		<?php $cs->registerCssFile($baseUrl . "/css/admin/accordian_nav/style.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/plugins/xChart/xcharts.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/plugins/toastr8/toastr8.min.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/plugins/fullcalendar/fullcalendar.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/plugins/fullcalendar/fullcalendar.print.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/plugins/multiselect/bootstrap-multiselect.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/plugins/clockpicker/bootstrap-clockpicker.min.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/plugins/datetimepicker/bootstrap-datetimepicker.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/plugins/datatable/datatable.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/plugins/nvd3/nv.d3.min.css"); ?>
        <?php $cs->registerCssFile($baseUrl . "/css/HoldOn.css"); ?>
		
		 
		
        <!-- SCRIPT FILES -->
        <?php $cs->registerScriptFile($baseUrl . "/js/jquery-2.1.4.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/bootstrap.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/jquery-ui.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/jstree.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/jquery.alerts.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/jquery.material.form.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/jquery.nicescroll.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/d3/d3.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/xChart/d3.v3.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/xChart/xcharts.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/Sparkline/jquery.sparkline.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/jquery-ui/jquery-ui.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/toastr8/toastr8.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/fullcalendar/lib/moment.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/fullcalendar/fullcalendar.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/eModal.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/tree.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/jquery.form-validator.min.js", CClientScript::POS_HEAD); ?>
        <?php //$cs->registerScriptFile($baseUrl . "/js/jquery.maskedinput.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/jquery.mask.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/multiselect/bootstrap-multiselect.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/clockpicker/bootstrap-clockpicker.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/datetimepicker/bootstrap-datetimepicker.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/datatable/jquery.dataTables.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/datatable/dataTables.bootstrap.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/datatable/dataTables.fixedHeader.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/chartjs/Chart.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/plugins/nvd3/nv.d3.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/tinymce.min.js", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/admin/script.js", CClientScript::POS_END); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/common.js", CClientScript::POS_END); ?>
        <?php $cs->registerScriptFile($baseUrl . "/js/paginathing.js", CClientScript::POS_END); ?>
		<?php $cs->registerScriptFile($baseUrl . "/js/HoldOn.js", CClientScript::POS_END); ?>
		
        
		<?php $cs->registerScriptFile($baseUrl . "/js/admin/accordian_nav/script.js", CClientScript::POS_END); ?>
        <!-- Notifiaction  -->
        <?php $cs->registerCssFile($baseUrl . '/css/jquery.pnotify.default.css'); ?>
        <?php $cs->registerScriptFile($baseUrl . '/js/jquery.pnotify.min.js', CClientScript::POS_END); ?>
        <!-- END Notifiaction  -->
        <?php $cs->registerScript('pins-notify', 'function notification(msg,type) {
    var opts = {
      title: "Messages",
      text: msg,
      hide: true,
      nonblock: false,
      nonblock_opacity: .2,
      animation: {
        "effect_in": "drop",
      }
    };
    switch (type) {
      case "error":
      opts.title = "Error";
      opts.text = msg;
      opts.type = "error";
      opts.hide = false;
      break;
      case "info":
      opts.title = "Information";
      opts.text = msg;
      opts.type = "info";
      opts.hide = false;
      break;
      case "success":
      opts.title = "Success";
      opts.text = msg;
      opts.type = "success";
      opts.nonblock= true;
      break;
    }
    $.pnotify(opts);
  }
  ', CClientScript::POS_HEAD); ?>
        <?php $cs->registerScript("autocomplete-source-section", " function autoCompleteSource(request, response,url) {  console.log('auto-complete-common'); $.ajax({ type      : 'GET', data    : 'term='+ request.term, url       : url, dataType  : 'json', success : function(data) { response($.map( data, function( n, i ) { return { label :  n.label,  value : n.value, shipping_adds : n.shipping_adds, billing_adds : n.billing_adds, stock_id : n.stock_id, unit : n.unit, description : n.description, coo : n.coo, hsc : n.hsc, nt_weight : n.nt_weight, gr_weight : n.gr_weight, cbm : n.cbm, payment_term : n.payment_term, destination : n.destination, currency : n.currency }  })); } }); } ", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScript("isRowEmpty", " function isRowEmpty(tr) { var rowfilled=false; tr.find('td:gt(0)').each(function() { inpt    =   $(this).find('input').val(); if(typeof inpt !== 'undefined' && inpt!=='' && inpt!=='0.00') { rowfilled=true; return false;  } }); if(rowfilled) return (confirm('Do you want to remove this item?')); return true; } ", CClientScript::POS_HEAD); ?>
        <?php $cs->registerScript("addTableRow", " function addTableRow(jQtable) {
                $('.quotation-helper,.purchase-helper,.stock-helper').each(function(){ $(this).hide(); $(this).find('table').remove();});
                formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
                lastId = jQtable.find('tr:last input:first').attr('id');
                
                thenum = lastId.match(/\d+/g);                
                newId = Number(thenum) + 1;   
                //alert(thenum);             
                newrow= jQtable.find('tr:last').clone();
                newrow.find('label:first').html(newId+1);
                newrow.attr('class',newId);
                newrow.find('.hasDatepicker').removeClass('hasDatepicker');
                newrow.find('.datetimepicker').siblings().remove();
                newrow.find('.datetimepicker').datetimepicker( 'destroy' );
                newrow.find('a,div,input,textarea,checkbox,select,.errorMessage').each(function() {
                    this.id= this.id.replace(/\d+/,newId);
                   if(!$(this).is(':checkbox'))
                        this.value  = '';
                    else
                        $(this).prop('checked', false);
                    (this.name!==undefined) ? this.name= this.name.replace(/\d+/,newId) : this.style  =   '';});
                jQtable.append(newrow);
                //$('#OutboundCites_'+newId+'_collection_date').datetimepicker({format: 'DD/MM/YYYY'});
             
    }", CClientScript::POS_HEAD); ?>
        <?php
        $cs->registerScript("removeTableRow", " function removeTableRow(jQtable,evt) {
            formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
            var num_rows    =   jQtable.find('tr:gt(0)').length;
            if(num_rows>1){
            var tr  =   $(evt).parent().parent();
            if(isRowEmpty(tr)) {
                amount = $(evt).parents('tr').find('[id$=\"_amount\"]').val();
                total =   $('.'+formIdStarter+'_total .total').text();
                total =   (Number(total)-Number(amount)).toFixed(2);
                $('.'+formIdStarter+'_total .total').text(total)
                gd_total =   $('.'+formIdStarter+'_grand_total .grandtotal').text();
                gd_total =   (Number(gd_total)-Number(amount)).toFixed(2);
                $('.'+formIdStarter+'_grand_total .grandtotal').text(gd_total);
                $(evt).parents('tr').remove();
                var i=0;
                jQtable.find('tr:gt(0)').each(function() { $(this).find('input,select,textarea,.errorMessage').each(function()
                {
                old_id   =   $(this).attr('id');
                new_id   =   old_id.replace(/\d+/,i);
                $('#OutboundInvoiceItems_'+i+'_row_id').val(i);
                $(this).attr('id',new_id);
                old_name =   $(this).attr('name');

                if(old_name!==undefined) {
                    new_name =   old_name.replace(/\d+/,i);
                    $(this).attr('name',new_name);} });
                    $(this).find('td:first label').html(++i); }); 
		//if(jQtable=='delivery_item_table'){

			bottom_total();
		//}


}
                    //adjustPopup();
                    } else alert('Atleast one item needed here'); }", CClientScript::POS_HEAD
        );


      
        ?>
    <?php $cs->registerScript("capitalize-first-letter", " function capitaliseFirstLetter(string) {console.log('letter-capitalise'); return string.charAt(0).toUpperCase() + string.slice(1); } ", CClientScript::POS_HEAD); ?>

    <?php $cs->registerScript("removeExtrasRow", " function removeExtrasRow(jQtable,evt) {
            formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
            var num_rows    =   jQtable.find('tr').length;
            extra_val = $(evt).parents('tr').find('input:eq(2)').val();
            gd_total =   $('.'+formIdStarter+'_grand_total .grandtotal').text();
            gd_total=gd_total.replace(/,/g , '');
            if(jQtable.attr('id')==='purchasingOrder_final_add_table' || jQtable.attr('id')==='quotes_final_add_table' || jQtable.attr('id')==='order_final_add_table')
                gd_total =   (Number(gd_total)-Number(extra_val)).toFixed(2);
            else gd_total =   (Number(gd_total)+Number(extra_val)).toFixed(2);
            $('.'+formIdStarter+'_grand_total .grandtotal').text(gd_total);
            if(num_rows>1) $(evt).parents('tr').remove();
            else $(evt).parents('tr').find('input').val('');
        }
        ", CClientScript::POS_HEAD); ?>
    <?php $cs->registerScript("isNumberKey", " function isNumberKey(evt) { console.log('is-number-key'); var charCode = (evt.which) ? evt.which : evt.keyCode; if (charCode > 31 && (charCode < 48 || charCode > 57) && charCode !== 46 && charCode !== 37) return false; return true; }", CClientScript::POS_HEAD); ?>
    <?php $cs->registerScript("isNumber", " function isNumber(n) { console.log('is-number'); return !isNaN(parseFloat(n)) && isFinite(n); } ", CClientScript::POS_HEAD); ?>
    <?php $cs->registerScript("reloadTable", "function reloadTable(table_id){
                var table = $(table_id).DataTable();
                table.ajax.reload( function ( json ) {
                      $('#myInput').val( json.lastInput );
                } );
        }", CClientScript::POS_HEAD);
        
        $cs->registerScript("isPositiveNumber", " function isPositiveNumber(event) { 
            if (event.which != 8 && event.which != 0 &&(event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                event.preventDefault();
            }            
        } ", CClientScript::POS_HEAD);
        
        ?>
    </head>
    <?php

        $current_url=Yii::app()->urlManager->parseUrl(Yii::app()->request); 
        $masstyleclass=''; $adnstyleclass='';$operationsstyleclass='';
        switch ($current_url)
        {
            //Master MENU
            case 'distributer/index' :
                $master = 'active';
                $masstyleclass='style="display: block;"';
                break;
            case 'masproductcategory/index' :
                $master = 'active';
                $masstyleclass='style="display: block;"';
                break;
            case 'masregion/index' :
                $master = 'active';
                $masstyleclass='style="display: block;"';
                break;
            case 'initialbacklog/index' :
                $master = 'active';
                $masstyleclass='style="display: block;"';
                break;
            case 'inventory/index':
                $master = 'active';
                $masstyleclass='style="display: block;"';
                break;
            case 'mastersettings/create':
                $master = 'active';
                $masstyleclass='style="display: block;"';
                break;
            //Master MENU end
             //Operations MENU
            case 'order/index' :
                $operations = 'active';
                $operationsstyleclass='style="display: block;"';
                break;
            case 'order/ConsolidatedOrder' :
                $operations = 'active';
                $operationsstyleclass='style="display: block;"';
                break;  
            case 'inventoryupload/inventoryindex' :
                $operations = 'active';
                $operationsstyleclass='style="display: block;"';
                break;
            case 'inventoryupload/goodsinindex' :
                $operations = 'active';
                $operationsstyleclass='style="display: block;"';
                break;
            //added by rahul 19-5-22//
            case 'uploadunshipped/index' :
                $operations = 'active';
                $operationsstyleclass='style="display: block;"';
                break;
            //added by rahul 19-5-22//
            case 'uploadbacklog/index' :
                $operations = 'active';
                $operationsstyleclass='style="display: block;"';
                break;
            case 'supplyconfirmation/index' :
                $operations = 'active';
                $operationsstyleclass='style="display: block;"';
                break;  
            case 'uploadsales/index' :
                $operations = 'active';
                $operationsstyleclass='style="display: block;"';
                break;  
            case 'reports/ConsolidatedSupplyConfirmation' :
                $operations = 'active';
                $operationsstyleclass='style="display: block;"';
                break; 
            //Operations MENU end
            
            
            
            case 'masproductcategory/index' :
                $master = 'active';
                $masstyleclass='style="display: block;"';
                break;
            case 'users/index' :
                $admin = 'active';
                $adnstyleclass='style="display: block;"';
                break;
            case 'usergroup/index' :
                $admin = 'active';
                $adnstyleclass='style="display: block;"';
                break;
            case 'auditlog/index' :
                $admin = 'active';
                $adnstyleclass='style="display: block;"';
                break;
        
        }
        
    ?>
        <script>
        </script>

        <body class="menu-closed">
            <header class="main">
                <div class="logo-holder">
                    <div class="logo"><img src="images/logo1.png"></div>
                    <div class="menu-ham open">
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                </div>
                <div class="header-right">
                    <div class="submenu-holder" id="submenu-holder">
                    </div>
                    <div class="hrt menu-2">
                        <!--  notification end -->
                        <div class="pull-right profile">
                            <ul class="nav top-menu dd-list">
                                <!-- settings start -->

                                <!-- inbox dropdown end -->
                            </ul>
                            <!--search & user info start-->
                            <ul class="nav top-menu">
                                <!-- user login dropdown start-->
                                <li class="dropdown">
                                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                        <img alt="" src="images/avatar.png" width="30px" height="30px">
                                        <span class="username"><?php $user=User::model()->findByPk(Yii::app()->user->id); echo $user->username; ?></span>
                                        <b class="caret"></b>
                                    </a>
                                    <ul class="dropdown-menu extended logout">
                                        <div class="log-arrow-up"></div>
                                        <!--<li><a href="#" onclick="loadPopupModal('users/profile', 'View Profile', 'lg')"><i class=" fa fa-suitcase"></i>Profile</a></li>-->
                                        <!--<li><a href="#"><i class="fa fa-cog"></i> Settings</a></li>-->
                                        <!--<li><a href="#"><i class="fa fa-bell-o"></i> Notification</a></li>-->
                                        <li><a href="#" onclick="loadPopupModal('site/changepassword', 'Change Password', 'lg')"><i class="fa fa-key"></i> Change Password</a></li>
                                        <li><a href="<?php echo $baseUrl; ?>/administrator.php?r=site/logout"><i class="fa fa-key"></i> Log Out</a></li>
                                        
                                    </ul>
                                </li>
                                <!-- user login dropdown end -->
                            </ul>
                        </div> 
                    </div>
                    <!-- <div class="ql">
                        <ul class="q-links">
                            <li><a href="#">Quick Link 1</a></li>
                        <li><a href="#">Quick Link 2</a></li>
                        <li><a href="#">Quick Link 3</a></li>
                        </ul>
                    </div> -->
                </div>
            </header>
            
            <div id='cssmenu'>
                <ul>
                    <?php
                    /*if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['inbound_import'])
                            || isset(Yii::app()->user->havePermissionOn['inbound_update_boe']) || isset(Yii::app()->user->havePermissionOn['inbound_edit'])
                            || isset(Yii::app()->user->havePermissionOn['inbound_delete']) || isset(Yii::app()->user->havePermissionOn['inbound_pdf'])       
                            || isset(Yii::app()->user->havePermissionOn['inbound_excel']) ) {
                    ?>
                    
                        <li class='has-sub'><a href='#'><span><i class="fa fa-download"></i> Inbound</span></a>
                            <ul>
                                <?php
                                if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['inbound_import'])
                                    || isset(Yii::app()->user->havePermissionOn['inbound_update_boe']) || isset(Yii::app()->user->havePermissionOn['inbound_edit'])
                                    || isset(Yii::app()->user->havePermissionOn['inbound_delete']) || isset(Yii::app()->user->havePermissionOn['inbound_pdf'])       
                                    || isset(Yii::app()->user->havePermissionOn['inbound_excel']) ) {
                                ?>
                                <li><a href='<?php echo $this->createUrl('inbound/index') ?>'><span>Purchase</span></a></li>
                                <?php } ?>
                            </ul>
                        </li>
                    <?php } 
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['inventory_import_stock'])
                            || isset(Yii::app()->user->havePermissionOn['inventory_import_item']) || isset(Yii::app()->user->havePermissionOn['inventory_view'])
                            || isset(Yii::app()->user->havePermissionOn['inventory_update']) || isset(Yii::app()->user->havePermissionOn['inventory_export'])       
                            || isset(Yii::app()->user->havePermissionOn['inventory_asset']) || isset(Yii::app()->user->havePermissionOn['inventory_export_damamge'])
                            || isset(Yii::app()->user->havePermissionOn['inventory_damage_move']) || isset(Yii::app()->user->havePermissionOn['inventory_stock_move'])) {
                            ?>
                       
                    <li class='has-sub'><a href='#'><span><i class="fa fa-book"></i> Inventory</span></a>
                        <ul>
                            <?php 
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['inventory_import_stock'])
                            || isset(Yii::app()->user->havePermissionOn['inventory_import_item']) || isset(Yii::app()->user->havePermissionOn['inventory_view'])) {
                            ?>
                            <li><a href='<?php echo $this->createUrl('inbound/inventory') ?>'><span>Items</span></a></li>
                            <?php } 
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['inventory_update']) || isset(Yii::app()->user->havePermissionOn['inventory_export'])       
                            || isset(Yii::app()->user->havePermissionOn['inventory_asset'])) {
                            ?>
                            <li><a href='<?php echo $this->createUrl('outbound/assets') ?>'><span>Assets</span></a></li>
                            <?php } 
                        if (Yii::app()->user->authorised_user == 1 ||  isset(Yii::app()->user->havePermissionOn['inventory_export_damamge'])
                            || isset(Yii::app()->user->havePermissionOn['inventory_damage_move']) || isset(Yii::app()->user->havePermissionOn['inventory_stock_move'])) {
                            ?>
                            <li><a href='<?php echo $this->createUrl('inbound/transfers') ?>'><span>Damage & Others</span></a></li>
                            <?php } ?>
                        </ul>
                    </li>
                    <?php } */?>
                    <?php  
                        /*if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['outbound_dispatch_create'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_dispatch_delete']) || isset(Yii::app()->user->havePermissionOn['outbound_dispatch_view'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_dispatch_import']) || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_create'])       
                            || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_edit']) || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_post'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_unpost']) || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_print_commodity'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_pdf_excel_invoice']) || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_pdf_excel_packing'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_update']) || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_export'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_finalinvoice_create']) || isset(Yii::app()->user->havePermissionOn['outbound_finalinvoice_update'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_finalinvoice_transfer_pdf']) || isset(Yii::app()->user->havePermissionOn['outbound_finalinvoice_delivery_advice_pdf'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_finalinvoice_entry_certificate'])) {
                            ?>
                     <li class='has-sub'><a href='#'><span><i class="fa fa-upload"></i> Outbound</span></a>
                        <ul>
                             <?php  
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['outbound_dispatch_create'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_dispatch_delete']) || isset(Yii::app()->user->havePermissionOn['outbound_dispatch_view'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_dispatch_import'])) {
                            ?>
                                <li><a href='<?php echo $this->createUrl('outbound/index') ?>'><span>Dispatch Notes</span></a></li>
                            <?php  } ?>
                             <?php  
                            if (Yii::app()->user->authorised_user == 1 ||  isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_create'])       
                            || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_edit']) || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_post'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_unpost']) || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_print_commodity'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_pdf_excel_invoice']) || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_pdf_excel_packing'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_update']) || isset(Yii::app()->user->havePermissionOn['outbound_preinvoice_export'])) {
                            ?>
                            <li><a href='<?php echo $this->createUrl('outboundinvoice/index') ?>'><span>Pre Invoice</span></a></li>
                            <?php } ?>
                             <?php  
                            if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['outbound_finalinvoice_create']) || isset(Yii::app()->user->havePermissionOn['outbound_finalinvoice_update'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_finalinvoice_transfer_pdf']) || isset(Yii::app()->user->havePermissionOn['outbound_finalinvoice_delivery_advice_pdf'])
                            || isset(Yii::app()->user->havePermissionOn['outbound_finalinvoice_entry_certificate'])) {
                            ?>
                                <li><a href='<?php echo $this->createUrl('transfer/index') ?>'><span>Final Invoice</span></a></li>
                            <?php } ?>
                        </ul>
                    </li>
                    <?php } ?>
                    <?php  
                            if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['switchdocument_import']) || isset(Yii::app()->user->havePermissionOn['switchdocument_edit'])
                            || isset(Yii::app()->user->havePermissionOn['switchdocument_invoice_pdf']) || isset(Yii::app()->user->havePermissionOn['switchdocument_packinglist_pdf'])) {
                    ?>
                    <li class='has-sub'><a href='#'><span><i class="fa fa-tasks"></i> Switch Document</span></a>
                        <ul>
                            <?php  
                            if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['switchdocument_import']) || isset(Yii::app()->user->havePermissionOn['switchdocument_edit'])
                            || isset(Yii::app()->user->havePermissionOn['switchdocument_invoice_pdf']) || isset(Yii::app()->user->havePermissionOn['switchdocument_packinglist_pdf'])) {
                             ?>
                            <li><a href='<?php echo $this->createUrl('switchdoc/documents') ?>'><span> Invoices</span></a></li>
                            <?php } ?>
                        </ul>
                    </li>
                    <?php } ?>
                    <?php  
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['inboundreport_inbound']) || isset(Yii::app()->user->havePermissionOn['inboundreport_inbound_cost'])
                        || isset(Yii::app()->user->havePermissionOn['inboundreport_customs_inventory']) || isset(Yii::app()->user->havePermissionOn['inboundreport_balance_qty'])
                        || isset(Yii::app()->user->havePermissionOn['inboundreport_ageing']) || isset(Yii::app()->user->havePermissionOn['inboundreport_marine_insurance'])
                        || isset(Yii::app()->user->havePermissionOn['inboundreport_import_cites_summary'])) {
                         ?>
                    <li class='has-sub'><a href='#'><span><i class="fa fa-file"></i> Inbound Reports</span></a>
                        <ul>
                        <?php  
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['inboundreport_inbound'])) { ?>
                            <li><a href='<?php echo $this->createUrl('reports/customsIncoming') ?>'><span> Inbound Report</span></a></li>
                        <?php           
                        }
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['inboundreport_inbound_cost'])) {
                            ?>
                            <li><a href='<?php echo $this->createUrl('reports/Incoming_charges') ?>'><span> Inbound Cost Report</span></a></li>
                        <?php } 
                        if (Yii::app()->user->authorised_user == 1 ||isset(Yii::app()->user->havePermissionOn['inboundreport_customs_inventory'])) { ?>
                            <li><a href='<?php echo $this->createUrl('reports/customsIncomingsummary') ?>'><span> Customs Inventory Report</span></a></li>
                            <li><a href='<?php echo $this->createUrl('reports/transaction_history') ?>'><span> Transaction History</span></a></li>
                                  <?php 
                        }
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['inboundreport_balance_qty'])) { ?>
                            <li><a href='<?php echo $this->createUrl('reports/balanceQty') ?>'><span> Balance Qty</span></a></li>
                        <?php  
                        }
                        if (Yii::app()->user->authorised_user == 1 ||isset(Yii::app()->user->havePermissionOn['inboundreport_ageing'])) { ?>
                            <li><a href='<?php echo $this->createUrl('reports/closingStock') ?>'><span> Ageing Report</span></a></li>
                        <?php  
                        }
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['inboundreport_marine_insurance'])) { ?>
                            <li><a href='<?php echo $this->createUrl('reports/marine_declaration') ?>'><span> Marine Insurance Report</span></a></li>
                        <?php  
                        }
                        if (Yii::app()->user->authorised_user == 1 ||  isset(Yii::app()->user->havePermissionOn['inboundreport_import_cites_summary'])) { ?>
                            <li><a href='<?php echo $this->createUrl('reports/cites_summary&type=import') ?>'><span> Import CITES Summary</span></a></li>
                        <?php } ?>
                        </ul>
                    </li>
                    <?php } ?>
                    <?php  
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['outboundreport_outbound_cost']) || isset(Yii::app()->user->havePermissionOn['outboundreport_export_shipment'])
                        || isset(Yii::app()->user->havePermissionOn['outboundreport_export_finance']) || isset(Yii::app()->user->havePermissionOn['outboundreport_switch_document'])
                        || isset(Yii::app()->user->havePermissionOn['outboundreport_export_cites_summary']) || isset(Yii::app()->user->havePermissionOn['outboundreport_transfer_record'])) {
                         ?>
                    <li class='has-sub'><a href='#'><span><i class="fa fa-file"></i> Outbound Reports</span></a>
                        <ul>
                            <!-- <li><a href='<?php // echo $this->createUrl('reports/customsOutgoing') ?>'><span> Outbound Report</span></a></li> -->
                            <?php  
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['outboundreport_outbound_cost'])) {
                         ?>
                            <li><a href='<?php echo $this->createUrl('reports/Outgoing_charges') ?>'><span> Outbound Cost Report</span></a></li>
                            <?php  
                        }
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['outboundreport_export_shipment'])) {
                         ?>
                            <li><a href='<?php echo $this->createUrl('reports/export_shipment') ?>'><span> Export Shipment Report</span></a></li>
                            <?php  
                        }
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['outboundreport_export_finance'])) {
                         ?>
                            <li><a href='<?php echo $this->createUrl('reports/export_finance') ?>'><span> Export Finance Report</span></a></li>
                            <?php  
                        }
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['outboundreport_switch_document'])) {
                         ?>
                            <!-- <li><a href='<?php //echo $this->createUrl('reports/bank_negotiation') ?>'><span> Bank Negotiation Report</span></a></li> -->
                            <li><a href='<?php echo $this->createUrl('reports/switch_document') ?>'><span> Switch Document</span></a></li>
                            <?php 
                        }
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['outboundreport_export_cites_summary'])) {
                         ?>
                            <li><a href='<?php echo $this->createUrl('reports/cites_summary&type=export') ?>'><span> Export CITES Summary</span></a></li>
                            <?php  
                        }
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['outboundreport_transfer_record'])) {
                         ?>
                            <li><a href='<?php echo $this->createUrl('reports/transfer_record') ?>'><span> Transfer Record Summary</span></a></li>
                        <?php } ?>
                        </ul>
                    </li>
                        <?php }*/ ?>
                    
                     <?php  
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_orders']) || isset(Yii::app()->user->havePermissionOn['menu_consolidated_orders'])
                        || isset(Yii::app()->user->havePermissionOn['menu_inventory']) 
                        || isset(Yii::app()->user->havePermissionOn['menu_goods_in'])
                        || isset(Yii::app()->user->havePermissionOn['menu_supplyconfirmation'])
                        || isset(Yii::app()->user->havePermissionOn['menu_sales'])
                        || isset(Yii::app()->user->havePermissionOn['menu_backlog'])
                        || isset(Yii::app()->user->havePermissionOn['menu_consolidated_supplyconfirmation'])
                        || isset(Yii::app()->user->havePermissionOn['menu_unshipped_sales'])
                         ) {
                         ?>
                    <li <?php echo "class='$operations has-sub l2'"; ?>><a href='#'><span><i class="fa fa-file"></i> Operations</span></a>
                        <ul <?php echo $operationsstyleclass;?>>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_orders'])) { ?>
                            <li><a href='<?php echo $this->createUrl('order/index') ?>'><span>Orders</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_consolidated_orders'])) { ?>
                            <li><a href='<?php echo $this->createUrl('order/ConsolidatedOrder') ?>'><span>Consolidated Orders</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_inventory'])) { ?>
                            <li><a href='<?php echo $this->createUrl('inventoryupload/inventoryindex') ?>'><span>Inventory</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_goods_in'])) { ?>
                            <li><a href='<?php echo $this->createUrl('inventoryupload/goodsinindex') ?>'><span>Goods In</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_unshipped_sales'])) { ?>
                            <li><a href='<?php echo $this->createUrl('uploadunshipped/index') ?>'><span>Unshipped</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_backlog'])) { ?>
                            <li><a href='<?php echo $this->createUrl('uploadbacklog/index') ?>'><span>Backlog</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_supplyconfirmation'])) { ?>
                            <li><a href='<?php echo $this->createUrl('supplyconfirmation/index') ?>'><span>Supply Confirmation</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_sales'])) { ?>
                            <li><a href='<?php echo $this->createUrl('uploadsales/index') ?>'><span>Sales</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_consolidated_supplyconfirmation'])) { ?>
                            <li><a href='<?php echo $this->createUrl('reports/ConsolidatedSupplyConfirmation') ?>'><span> Consolidated Supply Confirmation</span></a></li>
                             <?php } ?>
                             <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['menu_report_consolidated_order'])) { ?>
                            <li><a href='<?php echo $this->createUrl('reports/ConsolidatedOrderReport') ?>'><span> Consolidated Order Report</span></a></li>
                             <?php } ?>
                            
                        </ul>
                    </li>
                    <?php  } ?>
                     <?php  
                       if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['master_gmc_view']) 
                          || isset(Yii::app()->user->havePermissionOn['master_distributer_view'])
                          || isset(Yii::app()->user->havePermissionOn['master_product_view']) 
                          || isset(Yii::app()->user->havePermissionOn['master_region_view'])
                          || isset(Yii::app()->user->havePermissionOn['master_initialbacklog'])
                          || isset(Yii::app()->user->havePermissionOn['master_setting_view'])
                              ) { ?>
                    <li <?php echo "class='$master has-sub l2'"; ?>><a href='#'><span><i class="fa fa-cogs"></i> Masters</span></a>
                        <ul <?php echo $masstyleclass;?>>
                           
                        <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['master_gmc_view'])) { ?>
                            <li><a href='<?php echo $this->createUrl('inventory/index') ?>'><span>GMC</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['master_distributer_view'])) { ?>
                            <li><a href='<?php echo $this->createUrl('distributer/index') ?>'><span> Distributor</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['master_product_view'])) { ?>
                            <li><a href='<?php echo $this->createUrl('masproductcategory/index') ?>'><span> Product Category</span></a></li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['master_region_view'])) { ?>
                            <li><a href='<?php echo $this->createUrl('masregion/index') ?>'><span> Area</span></a></li>
                            </li>
                            <?php } ?>
                            <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['master_setting_view'])) { ?>
                            <li><a href='<?php echo $this->createUrl('mastersettings/create') ?>'><span> Settings</span></a></li>
                            <?php  } ?>
                            
                        </ul>
                    </li>
                    
                        <?php } ?>
                    <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['admin_users_add_edit'])) { ?>
                    <li <?php echo "class='$admin has-sub l2'"; ?>><a href='#'><span><i class="fa fa-users"></i> Admin</span></a>
                        <ul <?php echo $adnstyleclass;?>>
                            <?php  
                        if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['admin_users_add_edit'])) { ?>
                            <li><a href='<?php echo $this->createUrl('users/index') ?>'><span> Users</span></a></li>
                            <?php  
                        }
                        if (Yii::app()->user->authorised_user == 1 ||isset(Yii::app()->user->havePermissionOn['admin_usergroup_add'])) { ?>
                            <li><a href='<?php echo $this->createUrl('usergroup/index') ?>'><span> User Group</span></a></li>
                            <!--<li><a href='<?php //echo $this->createUrl('auditlog/index') ?>'><span> Audit Log</span></a></li>-->
                        <?php } ?>
                             <?php if (Yii::app()->user->authorised_user == 1 || isset(Yii::app()->user->havePermissionOn['master_settings'])) { ?>
                            <li><a href='<?php echo $this->createUrl('uploadstaticdata/create') ?>'><span> Upload Static Order</span></a></li>
                            <li><a href='<?php echo $this->createUrl('uploadstaticdata/CreateInventoryGoodsIn') ?>'><span> Upload Static Other</span></a></li>
                            <?php  } ?>
                        </ul>
                        
                    </li>
                    <?php } ?>
                </ul>
            </div>
			
			
			
			
            <section class="content-body">
                <section class="content">
                    <?php echo $content; ?>
                </section>
            </section>
            <div id="loader">
                <div class="loading-container">
                    <div class="cssload-dots">
                        <div class="cssload-dot"></div>
                        <div class="cssload-dot"></div>
                        <div class="cssload-dot"></div>
                        <div class="cssload-dot"></div>
                        <div class="cssload-dot"></div>
                    </div>
                    <svg version="1.1" xmlns="http://www.w3.org/2000/svg">
                        <defs>
                            <filter id="goo">
                                <feGaussianBlur in="SourceGraphic" result="blur" stdDeviation="12"></feGaussianBlur>
                                <feColorMatrix in="blur" mode="matrix" values="1 0 0 0 0  0 1 0 0 0 0 0 1 0 0 0 0 0 18 -7" result="goo"></feColorMatrix>
                                <!--<feBlend in2="goo" in="SourceGraphic" result="mix" ></feBlend>-->
                            </filter>
                        </defs>
                    </svg>
                </div>
            </div>
            <input type="hidden" value="<?php echo $baseUrl."/"; ?>" name="liveSite" id="liveSite">
            <input type="hidden" id="menu_helper" value="" name="menu_helper">
        </body>

    </html>
