<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'productcategory-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>
    <div class="tab-content">
        <div class="tab-pane active">
            <ul class="clearfix form-ul material">
    			<li class="col-sm-4">
    			    <?php echo $form->hiddenField($model, 'id');?>
                    <?php echo $form->textField($model, 'product_category',array('data-label'=>'Product Category <span style="color:red">*</span>','data-validation'=>'required')); ?>
                </li> 
                
    			<li class="col-sm-4">
                    <?php echo $form->dropdownList($model, 'is_active',array('Y'=>'Yes','N'=>'No'),array('data-label'=>'Is Active')); ?>
                    <?php echo $form->error($model,'is_active'); ?>
	            </li>
                <li class="col-sm-4">
                   <?php echo $form->textField($model, 'sort_order',array('data-label'=>'Sorting Order <span style="color:red">*</span>')); ?>
                </li>
                <li class="col-sm-4">
                   <?php echo $form->textField($model, 'report_sort_order',array('data-label'=>'CH Report Sort Order <span style="color:red">*</span>')); ?>
                </li>
                <li class="col-sm-4">
                   <?php echo $form->textField($model, 'report_name',array('data-label'=>'CH Report Name <span style="color:red">*</span>')); ?>
                </li>
                <!--<li class="col-sm-4">
                  <?php /*echo $form->dropdownList($model, 'supply_month_type',MasProductCategory::getmonth_type(),array('data-label'=>'Supply GoodsIn Type')); ?>
                  <?php echo $form->error($model,'supply_month_type'); ?>
			    </li>
			    <li class="col-sm-4">
                  <?php echo $form->dropdownList($model, 'supply_backlog',MasProductCategory::getmonth_type(),array('data-label'=>'Supply Backlog Type')); ?>
                  <?php echo $form->error($model,'supply_backlog');*/ ?>
			    </li>-->
			
    			
    			
    		</ul>
        </div>
      
    </div>
<div class="modal-footer">
    <button type="button" class="btn btn-default" id="productcategory_close" data-dismiss="modal">Close</button>
        <?php
                $url = Yii::app()->createUrl('masproductcategory/Save');
                echo CHtml::ajaxSubmitButton('Save', $url, array(
                            'dataType' => 'json',
                            'type' => 'post',
                            'success' => 'function(data) {
                                $("#loader").hide();
                                    if(data.status=="success"){  
                                        t8.success("Category Saved Successfully!");
                                        $("#productcategory_close").click();
                                        reloadTable("#tbl_productcategory_details");
                                    } else { 
                                        $("#productcategory-form .productcategory-save-btn").prop("disabled", false);                      
                                        $("#productcategory-form .productcategory-save-btn").addClass("btn-theme").removeClass("btn_loading"); 
                                        $.each(data, function(key, val) {
                                            t8.error(""+val+""); 
                                        }); 
                                    } 
                            }',
                            'beforeSend' => 'function(){ 
                               $("#loader").show();
                               $(".toast8-error").hide();
                               $("#productcategory-form .productcategory-save-btn").prop("disabled", true);                      
                               $("#productcategory-form .productcategory-save-btn").addClass("btn_loading").removeClass("btn-theme"); 
                                
                            }'
                            
                                
                    ), array('id' => 'mybtn' . rand(), 'class' => 'productcategory-save-btn btn btn-theme'));
           
    ?>
    </div>
<?php $this->endWidget(); ?>




