<?php
$cs = Yii::app()->getClientScript();

$cs->registerScript("downloadorder_format", "function downloadorder_format(){
    var distributer_id = $('#Order_distributer_id').val();
    var year = $('#Order_year').val();
    var month = $('#Order_month').val();
    if(distributer_id>0 && year!=''){
        window.open($('#liveSite').val()+'index.php?r=order/DownloadOrderFormat&distributer_id='+distributer_id+'&year='+year+'&month='+month, '_blank');   
    }else{
        t8.error('Please Select Distributor and Year & Continue ');
    }
}", CClientScript::POS_HEAD);
$cs->registerScript("downloadorderexcel_format", "function downloadorderexcel_format(){
    var distributer_id = $('#Order_distributer_id').val();
    var year = $('#Order_year').val();
    var month = $('#Order_month').val();
    if(distributer_id>0 && year!=''){
        window.open($('#liveSite').val()+'index.php?r=order/DownloadOrderFormatExcel&distributer_id='+distributer_id+'&year='+year+'&month='+month, '_blank');   
    }else{
        t8.error('Please Select Distributor and Year & Continue ');
    }
}", CClientScript::POS_HEAD);

?><?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'order_upload-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
));
?>
<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <?php echo $form->hiddenField($model, 'id'); ?>
            <li class="col-sm-4">
                <?php echo $form->dropDownList($model, 'distributer_id', Distributers::getDistributers(), array('data-label' => 'Distributor <span style="color:red">*</span>', 'empty'=>'-Select-','data-search'=>'true')); ?>
            </li>
            <li class="col-sm-4">
                <?php
                if ($model->year == '') {
                    $year = date('Y');
                } else {
                    $year = $model->year;
                }
                $option = array($year => array('selected' => 'selected'));
                ?>  

                <?php echo $form->dropDownList($model, 'year', Order::getyear(), array('data-label' => 'Year <span style="color:red">*</span>', 'empty' => '-Select-', 'options' => $option)); ?>
            </li>
            <li class="col-sm-4">
                <?php echo $form->dropDownList($model, 'month', Order::getmonths(), array('data-label' => 'Month <span style="color:red">*</span>','empty'=>'-Select-')); ?>
            </li>
            <li  class="col-sm-4">
            <button type="button"  class="btn btn-sm btn-theme" onclick="downloadorder_format();"><i class="fa fa-download"></i>CSV FORMAT</button>
            </li>
            <li  class="col-sm-4">
            <button type="button"  class="btn btn-sm btn-theme" onclick="downloadorderexcel_format();"><i class="fa fa-download"></i>Excel FORMAT</button>
            </li>
            <li  class="col-sm-4">
                <?php
                echo CHtml::label('Document', 'Document');
                $allowedExtensions = array("csv");
                $this->widget('ext.EAjaxUpload.EAjaxUpload', array('id' => rand(),
                    'config' => array('action' => Yii::app()->createUrl(Yii::app()->controller->id . '/UploadDocuments', array('folder' => 'upload/orders')),
                        'multiple' => false, 
                        'allowedExtensions' => $allowedExtensions,
                        'sizeLimit' => 4 * 1024 * 1024, 
                        'onStart' => "js:function(){}", 
                        'class' => 'pull-right', 
                        'onComplete' => "js:function(id, fileName, responseJSON){ 
                           // alert(fileName);
                        $('.icon_images').html('<input type=\"hidden\" value=\"'+responseJSON.filename+'\" name=\"Order[file_name]\">');                                                                    "
                        . "}",)));
                ?>        
                <div class="icon_images">
                
                </div>
            </li>
        </ul>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-default" id="order_upload_close" data-dismiss="modal">Close</button>
    <?php
    $url = Yii::app()->createUrl('order/SaveUpload');
    echo CHtml::ajaxSubmitButton('Save', $url, array(
        'dataType' => 'json',
        'type' => 'post',
        'success' => 'function(data) {
            $("#loader").hide();
                if(data.status=="success"){  
                    t8.success("Order Saved Successfully!");
                    $("#order_upload_close").click();
                    reloadTable("#tbl_order_details");
                } else { 
                    $("#order_upload-form .order_upload-save-btn").prop("disabled", false);                      
                    $("#order_upload-form .order_upload-save-btn").addClass("btn-theme").removeClass("btn_loading"); 
                    $.each(data, function(key, val) {
                        t8.error(""+val+""); 
                    }); 
                } 
        }',
        'beforeSend' => 'function(){ 
            $("#loader").show();
            $(".toast8-error").hide();
            $("#order_upload-form .order_upload-save-btn").prop("disabled", true);                      
            $("#order_upload-form .order_upload-save-btn").addClass("btn_loading").removeClass("btn-theme"); 

        }'
    ), array('id' => 'mybtn' . rand(), 'class' => 'order_upload-save-btn btn btn-theme'));
    ?>
</div>
<?php $this->endWidget(); ?>
