<!DOCTYPE html>
<html>
<head>
    <title>Transfer of Ownership</title>
<style type="text/css">
    .table td {
        border: 1px solid #1f67b2; 
    }
</style>
</head>
<body>
<?php
		$transfer = Transfers::model()->findByPk($id);
		$invoices = explode(',', $transfer->delivery_notes);
		$invoice  = $invoices[0];
		$invoiceModel = OutboundInvoice::model()->findBypk( $invoice );
    ?>
    <br><br><br><br><br>
    <div class="col-4">
	   <table border="0">
	     <tr>
		    <td class="text-left">Ref No.</td>
			<td class="text-left">:<?php echo '1842-'.date('m', strtotime($transfer->date)).'-'.date('y', strtotime($transfer->date)).'-'.$id ?></td>
		 </tr>
		 <tr>
		    <td class="text-left">Date</td>
			<td class="text-left">: <?php echo date('d.m.Y', strtotime($transfer->date)) ?></td>
		 </tr>
	   </table>
	</div>
	<div class="col-12">
	   <br>
	   <div class="input-block text-center" style="width:100%;color:#000;border:none;">
	      <h3>TRANSFER OF OWNERSHIP OF FREE ZONE</h3>
	   </div>
	   <hr style="width:100%;">
	   <br>
	   <p>Please note that We have this day transferred the ownership of under mentioned Goods to <b>
	   <?php
	   echo $invoiceModel->consignee_name;
	   echo ' '.$invoiceModel->consignee_address;
	  // echo $invoiceModel->customer->name.' '.$invoiceModel->customer->billing_adds ?>
	   </b></p>
	   <br>
	   <hr style="width:100%;">
	   <div class="col-8">
	   <table border="0" style="width:100%;font-weight:bold;">
	     <tr>
		    <td class="text-left">Free Zone Bill of Entry</td>
			<td class="text-left">: As per Attachments</td>
		 </tr>
	   </table>
	   <br>
	   <table border="0" style="width:100%;font-weight:bold;">
	     <tr>
		    <td class="text-left">Number of packges</td>
			<td class="text-left">: <?php echo $transfer->Total_cartons; ?> Ctns (STC <?php echo $transfer->Total_quantity; ?>PCS)</td>
		 </tr>
		 <tr>
		    <td class="text-left">Weight</td>
			<td class="text-left">: <?php echo number_format($transfer->Total_weight, 2, '.', ''); ?>Kgs </td>
		 </tr>
		 <tr>
		    <td class="text-left">Volume</td>
			<td class="text-left">: <?php echo number_format($transfer->Total_volume, 3, '.', ''); ?>CBM</td>
		 </tr>
		 <tr>
		    <td class="text-left">Origin of Goods</td>
			<td class="text-left">: <?php echo $transfer->country_origins_labels(); ?></td>
		 </tr>
		 <tr>
		    <td class="text-left">Value Of Goods</td>
			<td class="text-left">: <?php echo $invoiceModel->currency; ?> <?php echo number_format($transfer->Total_value, 3, '.', '') ?></td>
		 </tr>
		 <tr>
		    <td class="text-left">Marks & Numbers</td>
			<td class="text-left">: Yamaha Products</td>
		 </tr>
	   </table>
	   <div class="col-10" style="float:right;">
	      <p style="text-align:right;">   As per attached Invoice Nos. <?php echo $transfer->generate_invoice(); ?></p>
	   </div>
	</div>
	<div class="col-12">
	      <h3 style="text-align:right">Transferror's Signature & Stamp</h3>
	   </div>
</div>
<hr style="width:100%;">
 <div class="col-4">
	   <table border="0">
	     <tr>
		    <td class="text-left">Ref No.</td>
			<td class="text-left">:<?php echo '1842-'.date('m', strtotime($transfer->date)).'-'.date('y', strtotime($transfer->date)).'-'.$id ?></td>
		 </tr>
		 <tr>
		    <td class="text-left">Date</td>
			<td class="text-left">:  <?php echo date('d.m.Y', strtotime($transfer->date)) ?></td>
		 </tr>
	   </table>
	</div>
	<div class="col-12">
	   <p>We <b><?php echo $invoiceModel->consignee_name.' '.$invoiceModel->consignee_address ?>,</b>certify that as from this date We are the owner  of the above mentioned goods and We undertake to pay when to do so  all port storage other charges due and accurate thereon.</p>
    	 <h3 style="text-align:right">Transferee's Signature & Stamp</h3>
	   </div>

</body>

</html>
