 <section class="panel">
    <header class="panel-heading">
       <?php $heading = ( $from == 'incoming' ) ?  'INBOUND REPORT' : 'OUTBOUND REPORT';  echo $heading; ?>
    </header>
    <div class="panel-body">
        <div id="div_master_report_leadlist">
                <ul class="clearfix form-ul material"> 
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('from_date','',array('class' => 'datepicker','data-label'=>'Inbound From'));?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('to_date', '',array('class' => 'datepicker','data-label'=>'Inbound To'));?>
                    </li>
                    <li class="col-sm-4">
                        <?php echo CHtml::textField('bill_of_entry', '',array('data-mask' => '999-99999999-99','class' => 'tooltipster','data-label'=>'BOE'));?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('bill_from_date','',array('class' => 'datepicker','data-label'=>'BOE From'));?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('bill_to_date', '',array('class' => 'datepicker','data-label'=>'BOE To'));?>
                    </li>
                </ul>
        </div>
        <div class='btn-wrap text-center'> 
            <button onclick="excel(1);return false;" class='plan-save-btn btn btn-theme' target="_blank"><i class="fa fa-download"></i> Summary</button>
            <button onclick="excel(2);return false;" class='plan-save-btn btn btn-theme' target="_blank"><i class="fa fa-download"></i> Detailed</button>
        </div>
    </div>
</section>


<?php $cs = Yii::app()->getClientScript(); 

$cs->registerScript("excel", "function excel( rp_type ){
        
       
        var from_date = $('#from_date').val(); 
        var to_date = $('#to_date').val();
        var bill_of_entry = $('#bill_of_entry').val();
        var bill_from_date = $('#bill_from_date').val();
        var bill_to_date = $('#bill_to_date').val();
        
        window.open($('#liveSite').val()+'index.php?r=reports/generateCustomsreport&rp_type='+rp_type+'&type=".$from."&from_date='+from_date+'&to_date='+to_date+'&bill_of_entry='+bill_of_entry+'&bill_from_date='+bill_from_date+'&bill_to_date='+bill_to_date, '_blank');
}", CClientScript::POS_HEAD);
